libnvme(2)

NAME
struct nvme_set_property_args - Arguments for NVMe Set Property command

SYNOPSIS
struct nvme_set_property_args {
__u64 value;
__u32 *result;
int args_size;
int fd;
__u32 timeout;
int offset;
};

Members

value
    The value to set the property

result
    The command completion result from CQE dword0

args_size
    Size of struct nvme_set_property_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

offset
    Property offset from the base to set